Package nl.tudelft.simulation.dsol.tutorial.section41

## Class MM1Queue41SwingApplicationEvents.SimulatorEventLogger

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section41.MM1Queue41SwingApplicationEvents.SimulatorEventLogger

All Implemented Interfaces:
  `Serializable`, `EventListener`, `EventListenerInterface`

Enclosing class:
  MM1Queue41SwingApplicationEvents

    protected static class MM1Queue41SwingApplicationEvents.SimulatorEventLogger
    extends Object
    implements EventListenerInterface

Class to catch the events from the Simulator to check that they are right.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SimulatorEventLogger​(DEVSSimulator.TimeDouble devsSimulator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `notify​(EventInterface event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimulatorEventLogger

    SimulatorEventLogger​(DEVSSimulator.TimeDouble devsSimulator)

Parameters:
  `devsSimulator` - DEVSSimulator.TimeDouble; the simulator to provide the events

### Method Detail

#### notify

    public void notify​(EventInterface event)
                throws RemoteException

Specified by:
  `notify` in interface `EventListenerInterface`
Throws:
  `RemoteException`